diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wimax/model/ul-mac-messages.h ns-3.44/src/wimax/model/ul-mac-messages.h
--- ns-3.43/src/wimax/model/ul-mac-messages.h	2024-10-09 16:41:10.148656800 -0700
+++ ns-3.44/src/wimax/model/ul-mac-messages.h	2025-03-09 16:55:49.819372700 -0700
@@ -20,7 +20,7 @@
 {
 
 /**
- * \ingroup wimax
+ * @ingroup wimax
  * This class implements the UCD channel encodings as described by "IEEE Standard for
  * Local and metropolitan area networks Part 16: Air Interface for Fixed Broadband Wireless Access
  * Systems" 11.3.1 UCD channel encodings, page 651
@@ -33,66 +33,66 @@
 
     /**
      * Set BW request opp size
-     * \param bwReqOppSize the bandwidth request opp size
+     * @param bwReqOppSize the bandwidth request opp size
      */
     void SetBwReqOppSize(uint16_t bwReqOppSize);
     /**
      * Set range request opp size
-     * \param rangReqOppSize the ranging request opp size
+     * @param rangReqOppSize the ranging request opp size
      */
     void SetRangReqOppSize(uint16_t rangReqOppSize);
     /**
      * Set frequency
-     * \param frequency the frequency
+     * @param frequency the frequency
      */
     void SetFrequency(uint32_t frequency);
 
     /**
      * Get BW request opp size
-     * \returns the bandwidth request opp size
+     * @returns the bandwidth request opp size
      */
     uint16_t GetBwReqOppSize() const;
     /**
      * Get range request opp size
-     * \returns the ragning request opp size
+     * @returns the ragning request opp size
      */
     uint16_t GetRangReqOppSize() const;
     /**
      * Get frequency
-     * \returns the frequency
+     * @returns the frequency
      */
     uint32_t GetFrequency() const;
 
     /**
      * Get size
-     * \returns the size
+     * @returns the size
      */
     uint16_t GetSize() const;
 
     /**
      * Write item
-     * \param start the iterator
-     * \returns the updated iterator
+     * @param start the iterator
+     * @returns the updated iterator
      */
     Buffer::Iterator Write(Buffer::Iterator start) const;
     /**
      * Read item
-     * \param start the iterator
-     * \returns the updated iterator
+     * @param start the iterator
+     * @returns the updated iterator
      */
     Buffer::Iterator Read(Buffer::Iterator start);
 
   private:
     /**
      * Write item
-     * \param start the iterator
-     * \returns the updated iterator
+     * @param start the iterator
+     * @returns the updated iterator
      */
     virtual Buffer::Iterator DoWrite(Buffer::Iterator start) const = 0;
     /**
      * Read item
-     * \param start the iterator
-     * \returns the updated iterator
+     * @param start the iterator
+     * @returns the updated iterator
      */
     virtual Buffer::Iterator DoRead(Buffer::Iterator start) = 0;
 
@@ -128,43 +128,43 @@
 
     /**
      * Set SB channel reguest region full parameters
-     * \param sbchnlReqRegionFullParams the channel request region full parameters
+     * @param sbchnlReqRegionFullParams the channel request region full parameters
      */
     void SetSbchnlReqRegionFullParams(uint8_t sbchnlReqRegionFullParams);
     /**
      * Set SB channel for control codes
-     * \param sbchnlFocContCodes the channel control codes
+     * @param sbchnlFocContCodes the channel control codes
      */
     void SetSbchnlFocContCodes(uint8_t sbchnlFocContCodes);
 
     /**
      * Get SB channel request region full parameters
-     * \returns the channel request region full parameters
+     * @returns the channel request region full parameters
      */
     uint8_t GetSbchnlReqRegionFullParams() const;
     /**
      * Get SB channel for control codes
-     * \returns the channel for control codes
+     * @returns the channel for control codes
      */
     uint8_t GetSbchnlFocContCodes() const;
 
     /**
      * Get size
-     * \returns the size
+     * @returns the size
      */
     uint16_t GetSize() const;
 
   private:
     /**
      * Write item
-     * \param start the iterator
-     * \returns the updated iterator
+     * @param start the iterator
+     * @returns the updated iterator
      */
     Buffer::Iterator DoWrite(Buffer::Iterator start) const override;
     /**
      * Read item
-     * \param start the iterator
-     * \returns the updated iterator
+     * @param start the iterator
+     * @returns the updated iterator
      */
     Buffer::Iterator DoRead(Buffer::Iterator start) override;
 
@@ -220,62 +220,62 @@
 
     /**
      * Set type
-     * \param type the type
+     * @param type the type
      */
     void SetType(uint8_t type);
     /**
      * Set length
-     * \param length the length
+     * @param length the length
      */
     void SetLength(uint8_t length);
     /**
      * Set UIUC
-     * \param uiuc the UIUC
+     * @param uiuc the UIUC
      */
     void SetUiuc(uint8_t uiuc);
     /**
      * Set FEC code type
-     * \param fecCodeType the FEC code type
+     * @param fecCodeType the FEC code type
      */
     void SetFecCodeType(uint8_t fecCodeType);
 
     /**
      * Get type
-     * \returns the type
+     * @returns the type
      */
     uint8_t GetType() const;
     /**
      * Get length
-     * \returns the length
+     * @returns the length
      */
     uint8_t GetLength() const;
     /**
      * Get UIUC
-     * \returns the UIUC
+     * @returns the UIUC
      */
     uint8_t GetUiuc() const;
     /**
      * Get FEC code type
-     * \returns the FEC code type
+     * @returns the FEC code type
      */
     uint8_t GetFecCodeType() const;
 
     /**
      * Get size
-     * \returns the size
+     * @returns the size
      */
     uint16_t GetSize() const;
 
     /**
      * Write item
-     * \param start the iterator
-     * \returns the updated iterator
+     * @param start the iterator
+     * @returns the updated iterator
      */
     Buffer::Iterator Write(Buffer::Iterator start) const;
     /**
      * Read item
-     * \param start the iterator
-     * \returns the updated iterator
+     * @param start the iterator
+     * @returns the updated iterator
      */
     Buffer::Iterator Read(Buffer::Iterator start);
 
@@ -318,94 +318,94 @@
 
     /**
      * Set configuration change count
-     * \param ucdCount the UCD count
+     * @param ucdCount the UCD count
      */
     void SetConfigurationChangeCount(uint8_t ucdCount);
     /**
      * Set ranging backoff start
-     * \param rangingBackoffStart ranging backoff start
+     * @param rangingBackoffStart ranging backoff start
      */
     void SetRangingBackoffStart(uint8_t rangingBackoffStart);
     /**
      * Set ranging backoff end
-     * \param rangingBackoffEnd the ranging backoff end
+     * @param rangingBackoffEnd the ranging backoff end
      */
     void SetRangingBackoffEnd(uint8_t rangingBackoffEnd);
     /**
      * Set request backoff start
-     * \param requestBackoffStart the request backoff start
+     * @param requestBackoffStart the request backoff start
      */
     void SetRequestBackoffStart(uint8_t requestBackoffStart);
     /**
      * Set request backoff end
-     * \param requestBackoffEnd the request backoff end
+     * @param requestBackoffEnd the request backoff end
      */
     void SetRequestBackoffEnd(uint8_t requestBackoffEnd);
     /**
      * Set channel encodings
-     * \param channelEncodings the channel encodings
+     * @param channelEncodings the channel encodings
      */
     void SetChannelEncodings(OfdmUcdChannelEncodings channelEncodings);
     /**
      * Add UL burst profile
-     * \param ulBurstProfile the UL burst profile
+     * @param ulBurstProfile the UL burst profile
      */
     void AddUlBurstProfile(OfdmUlBurstProfile ulBurstProfile);
     /**
      * Set NR UL burst profiles
-     * \param nrUlBurstProfiles the NR UL burst profiles
+     * @param nrUlBurstProfiles the NR UL burst profiles
      */
     void SetNrUlBurstProfiles(uint8_t nrUlBurstProfiles);
 
     /**
      * Get configuration change count
-     * \returns the configuration change count
+     * @returns the configuration change count
      */
     uint8_t GetConfigurationChangeCount() const;
     /**
      * Get ranging backoff start
-     * \returns the ranging backoff start
+     * @returns the ranging backoff start
      */
     uint8_t GetRangingBackoffStart() const;
     /**
      * Get ranging backoff end
-     * \returns the ranging backoff end value
+     * @returns the ranging backoff end value
      */
     uint8_t GetRangingBackoffEnd() const;
     /**
      * Get request backoff start
-     * \returns the request backoff start value
+     * @returns the request backoff start value
      */
     uint8_t GetRequestBackoffStart() const;
     /**
      * Get request backoff end
-     * \returns the request backoff end value
+     * @returns the request backoff end value
      */
     uint8_t GetRequestBackoffEnd() const;
     /**
      * Get channel encodings
-     * \returns the OFDM UCD channel encodings
+     * @returns the OFDM UCD channel encodings
      */
     OfdmUcdChannelEncodings GetChannelEncodings() const;
     /**
      * Get UL burst profiles
-     * \returns the UL burst profile
+     * @returns the UL burst profile
      */
     std::vector<OfdmUlBurstProfile> GetUlBurstProfiles() const;
     /**
      * Get number UL burst profiles
-     * \returns the number of UL burst profiles
+     * @returns the number of UL burst profiles
      */
     uint8_t GetNrUlBurstProfiles() const;
 
     /**
      * Get name
-     * \returns the name string
+     * @returns the name string
      */
     std::string GetName() const;
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     TypeId GetInstanceTypeId() const override;
@@ -457,82 +457,82 @@
 
     /**
      * Set CID
-     * \param cid the CID
+     * @param cid the CID
      */
     void SetCid(const Cid& cid);
     /**
      * Set start time
-     * \param startTime the start time
+     * @param startTime the start time
      */
     void SetStartTime(uint16_t startTime);
     /**
      * Set subchannel index
-     * \param subchannelIndex
+     * @param subchannelIndex
      */
     void SetSubchannelIndex(uint8_t subchannelIndex);
     /**
      * Set UIUC
-     * \param uiuc the UIUC
+     * @param uiuc the UIUC
      */
     void SetUiuc(uint8_t uiuc);
     /**
      * Set duration
-     * \param duration the duration
+     * @param duration the duration
      */
     void SetDuration(uint16_t duration);
     /**
      * Set midambe repetition interval
-     * \param midambleRepetitionInterval the midambe repetition interval
+     * @param midambleRepetitionInterval the midambe repetition interval
      */
     void SetMidambleRepetitionInterval(uint8_t midambleRepetitionInterval);
 
     /**
      * Get CID
-     * \returns the CID
+     * @returns the CID
      */
     Cid GetCid() const;
     /**
      * Get start time
-     * \returns the start time
+     * @returns the start time
      */
     uint16_t GetStartTime() const;
     /**
      * Get subchannel index
-     * \returns the subchannel index
+     * @returns the subchannel index
      */
     uint8_t GetSubchannelIndex() const;
     /**
      * Get UIUC
-     * \returns the UIUC
+     * @returns the UIUC
      */
     uint8_t GetUiuc() const;
     /**
      * Get duration
-     * \returns the duration
+     * @returns the duration
      */
     uint16_t GetDuration() const;
     /**
      * Get Midamble repetition interval
-     * \returns the midamble repetition interval
+     * @returns the midamble repetition interval
      */
     uint8_t GetMidambleRepetitionInterval() const;
 
     /**
      * Get size
-     * \returns the size
+     * @returns the size
      */
     uint16_t GetSize() const;
 
     /**
      * Write item
-     * \param start the iterator
-     * \returns the updated iterator
+     * @param start the iterator
+     * @returns the updated iterator
      */
     Buffer::Iterator Write(Buffer::Iterator start) const;
     /**
      * Read item
-     * \param start the iterator
-     * \returns the updated iterator
+     * @param start the iterator
+     * @returns the updated iterator
      */
     Buffer::Iterator Read(Buffer::Iterator start);
 
@@ -581,44 +581,44 @@
 
     /**
      * Set UCD count
-     * \param ucdCount the UCD count
+     * @param ucdCount the UCD count
      */
     void SetUcdCount(uint8_t ucdCount);
     /**
      * Set allocation start time
-     * \param allocationStartTime the allocation start time
+     * @param allocationStartTime the allocation start time
      */
     void SetAllocationStartTime(uint32_t allocationStartTime);
     /**
      * Add UL map element
-     * \param ulMapElement the UL map element
+     * @param ulMapElement the UL map element
      */
     void AddUlMapElement(OfdmUlMapIe ulMapElement);
 
     /**
      * Get UCD count
-     * \returns the UCD count
+     * @returns the UCD count
      */
     uint8_t GetUcdCount() const;
     /**
      * Get allocation start time
-     * \returns the allocation start time
+     * @returns the allocation start time
      */
     uint32_t GetAllocationStartTime() const;
     /**
      * Get UL map elements
-     * \returns the UL map elements
+     * @returns the UL map elements
      */
     std::list<OfdmUlMapIe> GetUlMapElements() const;
 
     /**
      * Get name
-     * \returns the name
+     * @returns the name
      */
     std::string GetName() const;
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     TypeId GetInstanceTypeId() const override;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wimax/model/wimax-channel.h ns-3.44/src/wimax/model/wimax-channel.h
--- ns-3.43/src/wimax/model/wimax-channel.h	2024-10-09 16:41:10.148656800 -0700
+++ ns-3.44/src/wimax/model/wimax-channel.h	2025-03-09 16:55:49.819372700 -0700
@@ -25,31 +25,31 @@
 class PacketBurst;
 
 /**
- * \ingroup wimax
+ * @ingroup wimax
  * The channel object to attach Wimax NetDevices
  */
 class WimaxChannel : public Channel
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     WimaxChannel();
     ~WimaxChannel() override;
     /**
-     * \brief attach the channel to a physical layer of a device
-     * \param phy the physical layer to which the channel will be attached
+     * @brief attach the channel to a physical layer of a device
+     * @param phy the physical layer to which the channel will be attached
      */
     void Attach(Ptr<WimaxPhy> phy);
     /**
-     * \return the number of attached devices
+     * @return the number of attached devices
      */
     std::size_t GetNDevices() const override;
     /**
-     * \param i the ith device
-     * \return the ith attached device
+     * @param i the ith device
+     * @return the ith attached device
      */
     Ptr<NetDevice> GetDevice(std::size_t i) const override;
 
@@ -58,27 +58,27 @@
      * used by this model.  Return the number of streams (possibly zero) that
      * have been assigned.
      *
-     * \param stream first stream index to use
-     * \return the number of stream indices assigned by this model
+     * @param stream first stream index to use
+     * @return the number of stream indices assigned by this model
      */
     virtual int64_t AssignStreams(int64_t stream) = 0;
 
   private:
     /**
      * Attach a phy to the channel
-     * \param phy the phy object to attach
+     * @param phy the phy object to attach
      */
     virtual void DoAttach(Ptr<WimaxPhy> phy) = 0;
 
     /**
      * Get number of devices on the channel
-     * \returns the number of devices
+     * @returns the number of devices
      */
     virtual std::size_t DoGetNDevices() const = 0;
     /**
      * Get device corresponding to index
-     * \param i the device index
-     * \returns the device
+     * @param i the device index
+     * @returns the device
      */
     virtual Ptr<NetDevice> DoGetDevice(std::size_t i) const = 0;
 };
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wimax/model/wimax-connection.h ns-3.44/src/wimax/model/wimax-connection.h
--- ns-3.43/src/wimax/model/wimax-connection.h	2024-10-09 16:41:10.148656800 -0700
+++ ns-3.44/src/wimax/model/wimax-connection.h	2025-03-09 16:55:49.819372700 -0700
@@ -27,113 +27,113 @@
 class Cid;
 
 /**
- * \ingroup wimax
+ * @ingroup wimax
  * Class to represent WiMAX connections
  */
 class WimaxConnection : public Object
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
     /**
      * Constructor
      *
-     * \param cid connection ID
-     * \param type CID type
+     * @param cid connection ID
+     * @param type CID type
      */
     WimaxConnection(Cid cid, Cid::Type type);
     ~WimaxConnection() override;
 
     /**
      * Get CID function
-     * \returns the CID
+     * @returns the CID
      */
     Cid GetCid() const;
 
     /**
      * Get type function
-     * \returns the type
+     * @returns the type
      */
     Cid::Type GetType() const;
     /**
-     * \return the queue of the connection
+     * @return the queue of the connection
      */
     Ptr<WimaxMacQueue> GetQueue() const;
     /**
-     * \brief set the service flow associated to this connection
-     * \param serviceFlow The service flow to be associated to this connection
+     * @brief set the service flow associated to this connection
+     * @param serviceFlow The service flow to be associated to this connection
      */
     void SetServiceFlow(ServiceFlow* serviceFlow);
     /**
-     * \return the service flow associated to this connection
+     * @return the service flow associated to this connection
      */
     ServiceFlow* GetServiceFlow() const;
 
     // wrapper functions
     /**
-     * \return the scheduling type of this connection
+     * @return the scheduling type of this connection
      */
     uint8_t GetSchedulingType() const;
     /**
-     * \brief enqueue a packet in the queue of the connection
-     * \param packet the packet to be enqueued
-     * \param hdrType the header type of the packet
-     * \param hdr the header of the packet
-     * \return true if successful
+     * @brief enqueue a packet in the queue of the connection
+     * @param packet the packet to be enqueued
+     * @param hdrType the header type of the packet
+     * @param hdr the header of the packet
+     * @return true if successful
      */
     bool Enqueue(Ptr<Packet> packet, const MacHeaderType& hdrType, const GenericMacHeader& hdr);
     /**
-     * \brief dequeue a packet from the queue of the connection
-     * \param packetType the type of the packet to dequeue
-     * \return packet dequeued
+     * @brief dequeue a packet from the queue of the connection
+     * @param packetType the type of the packet to dequeue
+     * @return packet dequeued
      */
     Ptr<Packet> Dequeue(MacHeaderType::HeaderType packetType = MacHeaderType::HEADER_TYPE_GENERIC);
     /**
-     * \brief dequeue a packet from the queue of the connection
+     * @brief dequeue a packet from the queue of the connection
      * Dequeue the first packet in the queue if its size is lower than
      * availableByte, the first availableByte of the first packet otherwise
      *
-     * \param packetType the type of the packet to dequeue
-     * \param availableByte the number of available bytes
-     * \return packet dequeued
+     * @param packetType the type of the packet to dequeue
+     * @param availableByte the number of available bytes
+     * @return packet dequeued
      */
     Ptr<Packet> Dequeue(MacHeaderType::HeaderType packetType, uint32_t availableByte);
     /**
-     * \return true if the connection has at least one packet in its queue, false otherwise
+     * @return true if the connection has at least one packet in its queue, false otherwise
      */
     bool HasPackets() const;
     /**
-     * \return true if the connection has at least one packet of type packetType in its queue, false
+     * @return true if the connection has at least one packet of type packetType in its queue, false
      * otherwise
-     * \param packetType type of packet to check in the queue
-     * \return true if packets available
+     * @param packetType type of packet to check in the queue
+     * @return true if packets available
      */
     bool HasPackets(MacHeaderType::HeaderType packetType) const;
 
     /**
      * Get type string
-     * \returns the type string
+     * @returns the type string
      */
     std::string GetTypeStr() const;
 
     /// Definition of Fragments Queue data type
     typedef std::list<Ptr<const Packet>> FragmentsQueue;
     /**
-     * \brief get a queue of received fragments
-     * \returns the fragments queue
+     * @brief get a queue of received fragments
+     * @returns the fragments queue
      */
     const FragmentsQueue GetFragmentsQueue() const;
     /**
-     * \brief enqueue a received packet (that is a fragment) into the fragments queue
-     * \param fragment received fragment
+     * @brief enqueue a received packet (that is a fragment) into the fragments queue
+     * @param fragment received fragment
      */
     void FragmentEnqueue(Ptr<const Packet> fragment);
     /**
-     * \brief delete all enqueued fragments
+     * @brief delete all enqueued fragments
      */
     void ClearFragmentsQueue();
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wimax/model/wimax-mac-header.h ns-3.44/src/wimax/model/wimax-mac-header.h
--- ns-3.43/src/wimax/model/wimax-mac-header.h	2024-10-09 16:41:10.148656800 -0700
+++ ns-3.44/src/wimax/model/wimax-mac-header.h	2025-03-09 16:55:49.819372700 -0700
@@ -18,10 +18,10 @@
 {
 
 /**
- * \ingroup wimax
+ * @ingroup wimax
  * This class Represents the HT (Header Type) field of generic MAC and bandwidth request headers
- * \see GenericMacHeader
- * \see BandwidthRequestHeader
+ * @see GenericMacHeader
+ * @see BandwidthRequestHeader
  */
 class MacHeaderType : public Header
 {
@@ -40,29 +40,29 @@
     /**
      * Constructor
      *
-     * \param type MAC header type
+     * @param type MAC header type
      */
     MacHeaderType(uint8_t type);
     ~MacHeaderType() override;
     /**
      * Set type field
-     * \param type the type
+     * @param type the type
      */
     void SetType(uint8_t type);
     /**
      * Get type field
-     * \returns the type
+     * @returns the type
      */
     uint8_t GetType() const;
 
     /**
      * Get name field
-     * \returns the name
+     * @returns the name
      */
     std::string GetName() const;
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     TypeId GetInstanceTypeId() const override;
@@ -94,7 +94,7 @@
 {
 
 /**
- * \ingroup wimax
+ * @ingroup wimax
  * This class implements the Generic mac Header as described by IEEE Standard for
  * Local and metropolitan area networks Part 16: Air Interface for Fixed Broadband Wireless Access
  * Systems 6.3.2.1.1 Generic MAC header, page 36
@@ -107,93 +107,93 @@
 
     /**
      * Set EC field
-     * \param ec the EC
+     * @param ec the EC
      */
     void SetEc(uint8_t ec);
     /**
      * Set type field
-     * \param type the type
+     * @param type the type
      */
     void SetType(uint8_t type);
     /**
      * Set CI field
-     * \param ci the CI
+     * @param ci the CI
      */
     void SetCi(uint8_t ci);
     /**
      * Set EKS field
-     * \param eks the EKS
+     * @param eks the EKS
      */
     void SetEks(uint8_t eks);
     /**
      * Set length field
-     * \param len the length
+     * @param len the length
      */
     void SetLen(uint16_t len);
     /**
      * Set CID field
-     * \param cid the CID
+     * @param cid the CID
      */
     void SetCid(Cid cid);
     /**
      * Set HCS field
-     * \param hcs the HCS
+     * @param hcs the HCS
      */
     void SetHcs(uint8_t hcs);
     /**
      * Set HT field
-     * \param ht the HT
+     * @param ht the HT
      */
     void SetHt(uint8_t ht);
 
     /**
      * Get EC field
-     * \returns the EC
+     * @returns the EC
      */
     uint8_t GetEc() const;
     /**
      * Get type field
-     * \returns the type
+     * @returns the type
      */
     uint8_t GetType() const;
     /**
      * Get CI field
-     * \returns the CI
+     * @returns the CI
      */
     uint8_t GetCi() const;
     /**
      * Get EKS field
-     * \returns the EKS
+     * @returns the EKS
      */
     uint8_t GetEks() const;
     /**
      * Get length field
-     * \returns the length
+     * @returns the length
      */
     uint16_t GetLen() const;
     /**
      * Get CID field
-     * \returns the CID
+     * @returns the CID
      */
     Cid GetCid() const;
     /**
      * Get HCS field
-     * \returns the HCS
+     * @returns the HCS
      */
     uint8_t GetHcs() const;
     /**
      * Get HT field
-     * \returns the HT
+     * @returns the HT
      */
     uint8_t GetHt() const;
     /**
      * Get name field
-     * \returns the name
+     * @returns the name
      */
     std::string GetName() const;
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     TypeId GetInstanceTypeId() const override;
@@ -203,7 +203,7 @@
     uint32_t Deserialize(Buffer::Iterator start) override;
     /**
      * Check HCS
-     * \returns true if HCS is validated
+     * @returns true if HCS is validated
      */
     bool check_hcs() const;
 
@@ -240,7 +240,7 @@
 namespace ns3
 {
 /**
- * \ingroup wimax
+ * @ingroup wimax
  * This class implements the bandwidth-request mac Header as described by IEEE Standard for
  * Local and metropolitan area networks Part 16: Air Interface for Fixed Broadband Wireless Access
  * Systems 6.3.2.1.2 Bandwidth request header, page 38
@@ -260,74 +260,74 @@
 
     /**
      * Set HT field
-     * \param ht the HT
+     * @param ht the HT
      */
     void SetHt(uint8_t ht);
     /**
      * Set EC field
-     * \param ec the EC
+     * @param ec the EC
      */
     void SetEc(uint8_t ec);
     /**
      * Set type field
-     * \param type the type
+     * @param type the type
      */
     void SetType(uint8_t type);
     /**
      * Set BR field
-     * \param br the BR
+     * @param br the BR
      */
     void SetBr(uint32_t br);
     /**
      * Set CID field
-     * \param cid the CID
+     * @param cid the CID
      */
     void SetCid(Cid cid);
     /**
      * Set HCS field
-     * \param hcs the HCS
+     * @param hcs the HCS
      */
     void SetHcs(uint8_t hcs);
 
     /**
      * Get HT field
-     * \returns the HT
+     * @returns the HT
      */
     uint8_t GetHt() const;
     /**
      * Get EC field
-     * \returns the EC
+     * @returns the EC
      */
     uint8_t GetEc() const;
     /**
      * Get type field
-     * \returns the type
+     * @returns the type
      */
     uint8_t GetType() const;
     /**
      * Get BR field
-     * \returns the BR
+     * @returns the BR
      */
     uint32_t GetBr() const;
     /**
      * Get CID field
-     * \returns the CID
+     * @returns the CID
      */
     Cid GetCid() const;
     /**
      * Get HCS field
-     * \returns the HCS
+     * @returns the HCS
      */
     uint8_t GetHcs() const;
 
     /**
      * Get name field
-     * \returns the name
+     * @returns the name
      */
     std::string GetName() const;
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     TypeId GetInstanceTypeId() const override;
@@ -337,7 +337,7 @@
     uint32_t Deserialize(Buffer::Iterator start) override;
     /**
      * Check HCS
-     * \returns true if HCS is validated
+     * @returns true if HCS is validated
      */
     bool check_hcs() const;
 
@@ -369,7 +369,7 @@
 {
 
 /**
- * \ingroup wimax
+ * @ingroup wimax
  * This class implements the grant management sub-header as described by IEEE Standard for
  * Local and metropolitan area networks Part 16: Air Interface for Fixed Broadband Wireless Access
  * Systems 6.3.2.2.2 Grant Management subheader, page 40
@@ -382,44 +382,44 @@
 
     /**
      * Set SI field
-     * \param si the SI
+     * @param si the SI
      */
     void SetSi(uint8_t si);
     /**
      * Set PM field
-     * \param pm the PM
+     * @param pm the PM
      */
     void SetPm(uint8_t pm);
     /**
      * Set PRR field
-     * \param pbr the PBR
+     * @param pbr the PBR
      */
     void SetPbr(uint16_t pbr);
 
     /**
      * Get SI field
-     * \returns the SI
+     * @returns the SI
      */
     uint8_t GetSi() const;
     /**
      * Get PM field
-     * \returns the PM
+     * @returns the PM
      */
     uint8_t GetPm() const;
     /**
      * Get PBR field
-     * \returns the PBR
+     * @returns the PBR
      */
     uint16_t GetPbr() const;
 
     /**
      * Get name field
-     * \returns the name
+     * @returns the name
      */
     std::string GetName() const;
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     TypeId GetInstanceTypeId() const override;
@@ -452,7 +452,7 @@
 namespace ns3
 {
 /**
- * \ingroup wimax
+ * @ingroup wimax
  * This class implements the fragmentation sub-header as described by IEEE Standard for
  * Local and metropolitan area networks Part 16: Air Interface for Fixed Broadband Wireless Access
  * Systems 6.3.2.2.1 Fragmentation subheader, page 39
@@ -465,34 +465,34 @@
 
     /**
      * Set FC field
-     * \param fc the FC
+     * @param fc the FC
      */
     void SetFc(uint8_t fc);
     /**
      * Set FSN field
-     * \param fsn the FSN
+     * @param fsn the FSN
      */
     void SetFsn(uint8_t fsn);
 
     /**
      * Get FC field
-     * \returns the FC
+     * @returns the FC
      */
     uint8_t GetFc() const;
     /**
      * Get FSN field
-     * \returns the FSN
+     * @returns the FSN
      */
     uint8_t GetFsn() const;
 
     /**
      * Get name field
-     * \returns the name
+     * @returns the name
      */
     std::string GetName() const;
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     TypeId GetInstanceTypeId() const override;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wimax/model/wimax-mac-queue.cc ns-3.44/src/wimax/model/wimax-mac-queue.cc
--- ns-3.43/src/wimax/model/wimax-mac-queue.cc	2024-10-09 16:41:10.148656800 -0700
+++ ns-3.44/src/wimax/model/wimax-mac-queue.cc	2025-03-09 16:55:49.819372700 -0700
@@ -27,7 +27,7 @@
     : m_packet(Create<Packet>()),
       m_hdrType(MacHeaderType()),
       m_hdr(GenericMacHeader()),
-      m_timeStamp(Seconds(0)),
+      m_timeStamp(),
       m_fragmentation(false),
       m_fragmentNumber(0),
       m_fragmentOffset(0)
